
/* Color schemes */

.demo-4 {
	--color-text: #fff;
	--color-bg: #f1f1f1;
	--color-link: #fff;
	--color-link-hover: #808285;
	--color-stitle: #fff;
	--color-nav: #fff;
	--color-nav-hover: #808285;
}

/* Fade effect */
.js body {
	opacity: 0;
	transition: opacity 0.3s;
}

.js body.render {
	opacity: 1;
}

/* Page Loader */
.js .loading::before {
	content: '';
	position: fixed;
	z-index: 100000;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: var(--color-bg);
}

.js .loading::after {
	content: '';
	position: fixed;
	z-index: 100000;
	top: 50%;
	left: 50%;
	width: 60px;
	height: 60px;
	margin: -30px 0 0 -30px;
	pointer-events: none;
	border-radius: 50%;
	opacity: 0.4;
	background: var(--color-link);
	animation: loaderAnim 0.7s linear infinite alternate forwards;
}

@keyframes loaderAnim {
	to {
		opacity: 1;
		transform: scale3d(0.5,0.5,1);
	}
}

.hidden {
	position: absolute;
	overflow: hidden;
	width: 0;
	height: 0;
	pointer-events: none;
}

.slider-principal  {
	position: relative;
    top: 0;
    left: 0;
    display: block;
    margin: 0px;
    padding: 0px;
	align-content: space-between;
	width: 100%;
	max-width: none;
	min-height: 0;
	height: 100vh;
}

/* Header */

.demos {
	position: relative;
	display: block;
	align-self: end;
	text-align: center;
	grid-area: demos;
}

.demo {
	margin: 0 0.15em;
}

.demo:hover,
.demo:focus {
	opacity: 0.5;
}

.demo span {
	white-space: nowrap;
	text-transform: lowercase;
	pointer-events: none;
}

.demo span::before {
	content: '#';
}

a.demo--current {
	pointer-events: none;
}

.slider-principal .slideshow {
	width: 100%;
	height: 100vh;
	position: relative;
	overflow: hidden;
}

.slider-principal .slides{
	position: absolute;
	width: 100%;
	height: 100%;
}

.slider-principal .slide {
	position: absolute;
	width: 100%;
	height: 100%;
	overflow: hidden;
	opacity: 0;
	pointer-events: none;
	display: flex;
	flex-direction: column;
	align-content: center;
	justify-content: center;
	align-items: center;
}

.slider-principal .slide--current {
	opacity: 1;
	pointer-events: auto;
}

.slider-principal .slide__img {
	position: absolute;
	top: -200px;
	left: -200px;
	width: calc(100% + 400px);
	height: calc(100% + 400px);
	background-size: cover;
	background-position: 50% 50%;
}

/* IMAGENS*/
.slide-img-1{
    background-image: url(../img/slide/slide-1.jpg);
}
.slide-img-2{
    background-image: url(../img/slide/slide-2.jpg);
}
.slide-img-3{
    background-image: url(../img/slide/slide-3.jpg);
}
.slide-img-4{
    background-image: url(../img/slide/slide-4.jpg);
}
.slide-img-5{
    background-image: url(../img/slide/slide-5.jpg);
}

.slidenav {
    position: absolute;
    width: 300px;
    margin-left: 0px;
    left: 75%;
    bottom: 60px;
    text-align: center;
    padding: 2em;
}

.slidenav__item {
	border: 0;
	background: none;
    font-size: 1.8em;
	color: var(--color-nav);
}

.slidenav__item:focus {
	outline: none;
    
}

.slidenav__item:hover {
	color: #0a63a0;
    cursor: pointer;
    text-decoration: none;
    -webkit-transition: all .6s;
    -moz-transition: all .6s;
    -o-transition: all .6s;
    transition: all .6s;
}

.shape {
	position: absolute;
	width: 100%;
	height: 100%;
	fill: var(--color-shape-fill);
	top: 0;
	pointer-events: auto;
}


.slide__desc {
	position: relative;
	font-size: 1.5em;
	margin: 0 0 2em 0;
	cursor: default;
	color: var(--color-sdesc);
	padding: 0 1em;
	text-align: center;
}

.slide__link {
	position: relative;
	font-size: 1em;
	font-weight: bold;
	padding: 1em 2em;
	display: block;
	color: var(--color-slink);
	background: var(--color-slink-bg);
	transition: color 0.3s, background 0.3s;
}

.slide__link:hover {
	color: var(--color-slink-hover);
	background: var(--color-slink-hover-bg);
}

@media screen and (min-width: 55em) {
	.demos {
		display: flex;
		justify-self: end;
	}
	.demo {
		display: block;
		width: 17px;
		height: 17px;
		margin: 0 4px;
		border-radius: 50%;
		background: var(--color-link);
	}
	a.demo--current {
		background: var(--color-link-hover);
	}
	.demo span {
		line-height: 1;
		position: absolute;
		right: 100%;
		display: none;
		margin: 0 1em 0 0;
	}
	.demo--current span {
		display: block;
	}
}

@media screen and (max-width: 55em) {
	body {
		padding: 0 0 0em 0;
	}
	.content {
		flex-direction: column;
		height: auto;
		min-height: 0;
		padding-bottom: 10em;
	}
	.content-fixed {
		position: relative;
		z-index: 1000;
		display: block;
		padding: 0.85em;
	}
	.codrops-header {
		flex-direction: column;
		align-items: center;
	}
	.codrops-header__title {
		font-weight: bold;
		padding-bottom: 0.25em;
		text-align: center;
	}
	.github {
		display: none;
	}
	.codrops-links {
		margin: 0;
	}
	.slide__desc {
		font-size: 1em;
	}
	.slide__link {
		font-size: 0.85em;
	}
}
